For the complete documentation index, see llms.txt. This page is also available as Markdown.

/gateways/{eui64}/auth-settings

Returns the user authentication settings for a specific device.

get
Authorizations
x-api-keystringRequired
Path parameters
eui64stringRequired

The EUI64 of the device in hexadecimal format.

Example: 000d6f000011bcb3
Responses
200

Successful operation

application/json
user_authbooleanRequired

true if user authentication is enabled on the device; otherwise, false.

update_pendingbooleanRequired

A flag indicating whether the configuration is pending to be updated in the device.

get/gateways/{eui64}/auth-settings
GET /v2/gateways/{eui64}/auth-settings HTTP/1.1
Host: device-management.n2g-dev.net
x-api-key: YOUR_API_KEY
Accept: */*
{
  "user_auth": true,
  "update_pending": false
}

Last updated

Was this helpful?